Page MenuHomePhabricator

Allow users to change their consent of instrumentation
Closed, ResolvedPublic

Description

Goal

Introduce an option in the settings menu where users can accept or decline the InukaPageView instrumentation.

Request

Create a menu option in settings called "Privacy and Terms"
Provide three options within it:

  1. Privacy policy
  2. this leads out to the Privacy policy link
  3. Terms of use
  4. this leads out to the terms of use link
  5. Send usage reports
    • this then leads to an option to choose Yes or No to sending usage reports. Default is Yes.

Proposed Design

Zeplin ➡https://app.zeplin.io/project/58dc46f4a83d1e477dd83859/dashboard?seid=5eaa6279d4db98241bce2b42

Settings MenuPrivacy & terms menuconsent screen yesconsent screen no

Design Details

  1. Re-organized settings menu to add Privacy and terms.
  2. Designed a menu screen to include privacy-related items.
  3. By default send a usage report option is set to what users have confirmed on dialog box on search screen.
  4. Users can confirm their selection after press "Done" or back key.

Links

  1. Privacy policy - https://foundation.m.wikimedia.org/wiki/Privacy_policy
  2. Terms of use - https://foundation.m.wikimedia.org/wiki/Terms_of_Use/en

Event Timeline

SBisson created this task.Apr 14 2020, 6:40 PM
Restricted Application added a project: Inuka-Team. · View Herald TranscriptApr 14 2020, 6:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
AMuigai moved this task from Backlog to Kanban on the Inuka-Team board.Apr 16 2020, 6:31 AM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
AMuigai updated the task description. (Show Details)Apr 16 2020, 1:35 PM
AMuigai updated the task description. (Show Details)Apr 16 2020, 1:43 PM
SGautam_WMF updated the task description. (Show Details)Apr 30 2020, 5:37 AM
SGautam_WMF updated the task description. (Show Details)Apr 30 2020, 5:40 AM
SGautam_WMF updated the task description. (Show Details)
SGautam_WMF updated the task description. (Show Details)
SGautam_WMF updated the task description. (Show Details)May 4 2020, 9:03 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 4 2020, 9:03 AM
SGautam_WMF updated the task description. (Show Details)May 4 2020, 9:03 AM
SGautam_WMF updated the task description. (Show Details)May 4 2020, 12:26 PM

Do we have the URLs for the privacy policy and terms of use? If so, please include them in this task.

SGautam_WMF updated the task description. (Show Details)May 5 2020, 4:23 AM

Thanks, updated.

SGautam_WMF updated the task description. (Show Details)May 6 2020, 3:42 PM
SGautam_WMF removed a project: Design.
SGautam_WMF moved this task from Design doing to Ready for Dev on the Inuka-Team (Kanban) board.
SGautam_WMF added a subscriber: SGautam_WMF.
eamedina moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.May 6 2020, 9:53 PM
SGautam_WMF updated the task description. (Show Details)May 8 2020, 4:12 AM

@eamedina Thanks for pointing out about the colors of radio button elements, I have updated the zeplin ticket along with screenshots above. I have used #EAF3FF color code for it.

SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.May 8 2020, 6:57 PM
SBisson added a subscriber: Jpita.

@Jpita this is ready for testing. Note that we decided to merge it to simplify the next steps on this feature.

hueitan added a subscriber: hueitan.EditedMay 11 2020, 8:39 AM

The following scenario:

  1. User opens the send usage reports page (UserReportConsent.js)
  2. default is No, user select Yes
  3. User press backspace key (means no press Done LSK yet)

In this case, should user expects the consent still be No? or Yes.

In the above mentioned scenario, if a user leaves the screen without pressing "Done" then it'll still be "No".

SGautam_WMF updated the task description. (Show Details)May 11 2020, 8:45 AM

Ok, then it requires another round of work on this ticket.

@hueitan updating our offline discussion here, it seems like earlier we let our users' choice reflect even using the back key also(https://phabricator.wikimedia.org/T250984), I would need to spend some time to learn more about how did we decide on that part until then no change is required on this task.

SGautam_WMF updated the task description. (Show Details)May 11 2020, 2:51 PM

For the scope of this ticket, we will continue with the following – Users can select and confirm their Yes or No option by using the Up/Down and pressing the center keypad. We will open another ticket to discuss the consistency and use of "Done" and back key for screens where users select an item from a list.

Jpita added a comment.May 14 2020, 7:28 AM
This comment was removed by Jpita.
Jpita added a comment.EditedMay 14 2020, 7:31 AM

@eamedina why is the text of the last option cut?
jio phone 2

Jpita added a comment.May 14 2020, 7:35 AM

also the NO option is not shown here

Clearly the content doesn't all fit on the Jio2 device. Pushing back to dev for @SGautam_WMF and @eamedina to address it in priority.

AMuigai triaged this task as Medium priority.May 14 2020, 1:36 PM

Good catch @Jpita, I have addressed this with @SGautam_WMF now and we have made sure it looks better now on Jio2 device. We did this follow up work on a new branch T250219-instrumentation-consent-follow-up. I will move this task to code review first to respect the regular flow but @Jpita I think it's safe if you want to start testing this branch already.

Here's the corresponding PR:

https://github.com/wikimedia/wikipedia-kaios/pull/228

eamedina moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.May 14 2020, 6:23 PM
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.May 14 2020, 7:29 PM
Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.May 20 2020, 9:40 AM

It looks fine except for one minor copy change, we are going to replace "Privacy and Terms" to "Privacy and terms". We are planning to take care of it as part of the possible new consent ticket regarding personal data.

AMuigai closed this task as Resolved.May 22 2020, 7:39 PM